Jump to: navigation, search

Engage Release Notes

This manual documents all new features and resolved issues specific to Engage.

Genesys Internet Browser Policy:
Genesys Engage has ended support for Internet Explorer V9 and earlier. We strongly encourage our clients to use more modern browsers such as the latest version of IE, Firefox or Chrome. These new browsers perform significantly better the real time functionality needed to support contact center applications. In the true spirit of the cloud, both Firefox and Chrome use automatic updates to keep their browsers up-to-date and actively support many of the newest software technologies.

Comment on this article:

blog comments powered by Disqus
This page was last modified on 8 January 2018, at 06:58.